Skip to main content
POST
/
fiat-collections
/
{id}
/
refresh-status
curl -X POST https://secureapi.gridlog.io/api/v1/fiat-collections/0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2/refresh-status \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "businessId": "9ecf5248-17e7-4a2b-b5a8-3bd58ff0fe01",
  "status": "completed",
  "amount": "50.00",
  "currency": "NGN",
  "country": "NG",
  "walletAddress": "TFtbBrsWw5DGHoKQE8VY2WzTY3VnanQ2hz",
  "cryptoCurrency": "USDT",
  "cryptoNetwork": "TRC20",
  "cryptoAmount": "48.36654808",
  "ycPaymentId": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "ycPaymentStatus": "completed",
  "ycReference": "JJ5275168",
  "bankName": "PAGA",
  "bankAccountNumber": "4550440202",
  "bankAccountName": "Ken Adams",
  "rate": "1617.300000",
  "networkFeeUsd": "1.130000",
  "serviceFeeUsd": "0.500000",
  "convertedAmount": "80865.00",
  "expiresAt": "2025-03-21T21:05:13.393Z",
  "createdAt": "2025-03-21T20:55:13.393Z",
  "updatedAt": "2025-03-21T21:10:45.123Z"
}
Queries YellowCard for the latest status of a fiat collection and updates the local record. Use this to get an immediate status update instead of waiting for the next automatic poll (every 5 minutes) or webhook. Collections in completed or refunded status will return immediately without querying YellowCard.

Authentication

This endpoint supports both API key (X-API-Key header) and Bearer token (Authorization: Bearer <JWT>) authentication.
id
string
required
Fiat collection ID (UUID)
curl -X POST https://secureapi.gridlog.io/api/v1/fiat-collections/0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2/refresh-status \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "businessId": "9ecf5248-17e7-4a2b-b5a8-3bd58ff0fe01",
  "status": "completed",
  "amount": "50.00",
  "currency": "NGN",
  "country": "NG",
  "walletAddress": "TFtbBrsWw5DGHoKQE8VY2WzTY3VnanQ2hz",
  "cryptoCurrency": "USDT",
  "cryptoNetwork": "TRC20",
  "cryptoAmount": "48.36654808",
  "ycPaymentId": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "ycPaymentStatus": "completed",
  "ycReference": "JJ5275168",
  "bankName": "PAGA",
  "bankAccountNumber": "4550440202",
  "bankAccountName": "Ken Adams",
  "rate": "1617.300000",
  "networkFeeUsd": "1.130000",
  "serviceFeeUsd": "0.500000",
  "convertedAmount": "80865.00",
  "expiresAt": "2025-03-21T21:05:13.393Z",
  "createdAt": "2025-03-21T20:55:13.393Z",
  "updatedAt": "2025-03-21T21:10:45.123Z"
}
id
string
Collection ID
status
string
Updated collection status: pending | processing | completed | expired | failed | refunded
ycPaymentStatus
string
Raw status from YellowCard
Status is also updated automatically every 5 minutes and via webhooks. Use this endpoint for on-demand checks, such as after a customer confirms they have made the fiat deposit.